Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface IBasicPropertyConstants

    public interface IBasicPropertyConstants

Predefined property names used for elements displayed in viewers.

See Also:
  `StructuredViewer.update(Object, String[])`, `StructuredViewer.update(Object[], String[])`, `IBaseLabelProvider.isLabelProperty(java.lang.Object, java.lang.String)`, `ViewerComparator.isSorterProperty(java.lang.Object, java.lang.String)`, `ViewerFilter.isFilterProperty(java.lang.Object, java.lang.String)`

Field Summary
`static String` `P_CHILDREN` Property name constant (value `"org.eclipse.jface.children"`) for an element's children.
`static String` `P_IMAGE` Property name constant (value `"org.eclipse.jface.image"`) for an element's label image.
`static String` `P_PARENT` Property name constant (value `"org.eclipse.jface.parent"`) for an element's parent object.
`static String` `P_TEXT` Property name constant (value `"org.eclipse.jface.text"`) for an element's label text.

Field Detail

### P_TEXT

    static final String P_TEXT

  Property name constant (value `"org.eclipse.jface.text"`) for an element's label text.

  See Also:
    `ILabelProvider.getText(java.lang.Object)`, Constant Field Values

### P_IMAGE

    static final String P_IMAGE

  Property name constant (value `"org.eclipse.jface.image"`) for an element's label image.

  See Also:
    `ILabelProvider.getImage(java.lang.Object)`, Constant Field Values

### P_CHILDREN

    static final String P_CHILDREN

  Property name constant (value `"org.eclipse.jface.children"`) for an element's children.

  See Also:
    Constant Field Values

### P_PARENT

    static final String P_PARENT

  Property name constant (value `"org.eclipse.jface.parent"`) for an element's parent object.

  See Also:
    Constant Field Values

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.